Page MenuHomePhabricator

Modernize AphrontControllers to implement handleRequest
Open, LowPublic

Description

Just filing this to keep track of some technical debt... D10698 introduced AphrontController::handleRequest() which replaces AphrontController::willProcessRequest() and AphrontController::processRequest(). As such, all controllers should eventually be modernized to implement handleRequest() instead of willProcessRequest() and processRequest().

Revisions and Commits

rP Phabricator
Closed
Closed
Closed
Closed
D16572
D16571
D16570
D16451
D14268
D14267
D14265
D14256
D13771
D13731
D13767
D13734
D13829
D13748
D13839
D13762
D13679
D13766
D13720
D14255
D13770
D13774
D13733
D13776
D13747
D13838
D13757
D13682
D13724
D13768
D13836
D13727
D14001
D13765
D13769
D14252
D13726
D13772
D13728
D13678
D13763
D13837
D13680
D13756
D13835
D13735
D13775
D14257

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
chad removed chad as the assignee of this task.Nov 4 2015, 9:21 PM
epriestley assigned this task to jcox.Aug 22 2016, 8:54 PM
epriestley added a subscriber: epriestley.

This is an opportunity to earn valuable contributor points and explore the dark corners of the codebase. Spooky!

We still have a few old callsites to willProcessRequest(array $data) and processRequest() in subclasses of PhabricatorController. These were replaced with handleRequest(AphrontRequest $request) a while ago. In practice, the old API was just confusing and weird and the new one is essentially always simpler.

For example, PhabricatorRobotsController, which powers /robots.txt, uses processRequest(). This should be replaced with handleRequest(AphrontRequest $request).

There should be no visible effect on behavior as a result of these changes, except that we can eventually delete the old methods.

Some of these are probably fairly tricky to test or convert, although some (like Robots) are probably quite easy. You can look at other revisions on this task for examples of conversions.

There's no real urgency to finishing this cleanup, so just do however much you want and then we can throw this back in the pond.

jcox removed jcox as the assignee of this task.Nov 10 2016, 2:40 PM
jcox moved this task from Basic to Ready on the Contributor Onboarding board.
jcox added a subscriber: jcox.